.PHONY: info clean lib

ifeq ($(GARBLE),y)
GO = garble -literals -tiny -debugdir=garbled
else
GO = go
endif

all: lib

clean:
	go clean .

lib: info
	$(GO) build .
	go install .

ifneq ($(MSYSTEM),)
info:
	@echo "Building for Windows (MSYS)"
else
info:
	@echo "Building for Linux"
endif
